Debian Bug report logs - #570783
squeeze: PXE installer ask for mirror to use

version graph

Package: debian-edu-config; Maintainer for debian-edu-config is Debian Edu Developers <debian-edu@lists.debian.org>; Source for debian-edu-config is src:debian-edu-config.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Sun, 21 Feb 2010 12:48:01 UTC

Severity: important

Found in version debian-edu-config/1.436

Fixed in version debian-edu-config/1.439

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570783; Package education-main-server. (Sun, 21 Feb 2010 12:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Sun, 21 Feb 2010 12:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: squeeze: PXE installer ask for mirror to use
Date: Sun, 21 Feb 2010 13:46:19 +0100
[Message part 1 (text/plain, inline)]
package: education-main-server
severity: important
version: 0.842
User: debian-edu@lists.debian.org
Usertags: debian-edu

Hi,

quoting http://wiki.debian.org/DebianEdu/Status/Squeeze:

"PXE installer ask for mirror to use even when the default choices work just 
fine. The preseeding do not seem to work."



cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570783; Package education-main-server. (Sun, 21 Feb 2010 12:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Sun, 21 Feb 2010 12:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 570783@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 570783@bugs.debian.org
Subject: Re: Bug#570783: squeeze: PXE installer ask for mirror to use
Date: Sun, 21 Feb 2010 13:55:39 +0100
[Holger Levsen]
> "PXE installer ask for mirror to use even when the default choices
> work just fine. The preseeding do not seem to work."

I suspect this should be solved in
debian-edu-config/sbin/debian-edu-pxeinstall, and not in the meta
package, but do not reassign as I do not understand why it was filed
against education-main-server.

Happy hacking,
-- 
Petter Reinholdtsen




Bug reassigned from package 'education-main-server' to 'debian-edu-config'. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 21 Feb 2010 13:36:10 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions debian-edu/0.842. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 21 Feb 2010 13:36:10 GMT) Full text and rfc822 format available.

Bug Marked as found in versions debian-edu-config/1.436. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 21 Feb 2010 13:36:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570783; Package debian-edu-config. (Thu, 08 Apr 2010 18:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Thu, 08 Apr 2010 18:12:03 GMT) Full text and rfc822 format available.

Message #21 received at 570783@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 570783@bugs.debian.org
Subject: Re: Bug#570783: squeeze: PXE installer ask for mirror to use
Date: Thu, 8 Apr 2010 20:06:09 +0200
I tested a bit, and looked at the source of choose-mirror, and the
problem seem to be that the recognized value for mirror/country has
changed.  This patch seem to solve the problem:

Index: sbin/debian-edu-pxeinstall
===================================================================
--- sbin/debian-edu-pxeinstall  (revision 63384)
+++ sbin/debian-edu-pxeinstall  (working copy)
@@ -170,7 +170,7 @@
 cat <<EOF

 # Avoid questions about mirrors, using manual setup
-choose-mirror-bin     mirror/country          string  enter information manually
+choose-mirror-bin     mirror/country          string  manual
 choose-mirror-bin     mirror/protocol select  http
 choose-mirror-bin     mirror/http/hostname    string  ftp.skolelinux.org
 choose-mirror-bin     mirror/http/directory   string  /debian

The patch also work for the Lenny installer.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570783; Package debian-edu-config. (Thu, 08 Apr 2010 18:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Thu, 08 Apr 2010 18:36:03 GMT) Full text and rfc822 format available.

Message #26 received at 570783@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 570783@bugs.debian.org
Subject: Re: Bug#570783: squeeze: PXE installer ask for mirror to use
Date: Thu, 8 Apr 2010 20:33:42 +0200
[Petter Reinholdtsen]
> I tested a bit, and looked at the source of choose-mirror, and the
> problem seem to be that the recognized value for mirror/country has
> changed.

I investigated some more, and the change was introduced in version
2.30 of choose-mirror, with a comment that the compatibility code was
removed because it was supporting preseedings for Etch and after Lenny
was released it was time to drop it for Squeeze.

This make me believe the correct thing to do is to change the script
also for Lenny.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570783; Package debian-edu-config. (Thu, 08 Apr 2010 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Thu, 08 Apr 2010 19:57:03 GMT) Full text and rfc822 format available.

Message #31 received at 570783@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 570783@bugs.debian.org
Subject: Re: Bug#570783: squeeze: PXE installer ask for mirror to use
Date: Thu, 8 Apr 2010 21:40:47 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Donnerstag, 8. April 2010, Petter Reinholdtsen wrote:
> I investigated some more, and the change was introduced in version
> 2.30 of choose-mirror, with a comment that the compatibility code was
> removed because it was supporting preseedings for Etch and after Lenny
> was released it was time to drop it for Squeeze.
>
> This make me believe the correct thing to do is to change the script
> also for Lenny.

lenny has 2.28lenny5, so why change (lenny)?


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570783; Package debian-edu-config. (Thu, 08 Apr 2010 20:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Thu, 08 Apr 2010 20:36:06 GMT) Full text and rfc822 format available.

Message #36 received at 570783@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 570783@bugs.debian.org
Subject: Re: Bug#570783: squeeze: PXE installer ask for mirror to use
Date: Thu, 8 Apr 2010 22:32:46 +0200
[Holger Levsen]
> lenny has 2.28lenny5, so why change (lenny)?

Because the current setting was obsolete in lenny, and only correct in
Etch and earlier.

Happy hacking,
-- 
Petter Reinholdtsen




Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Thu, 15 Apr 2010 19:51:09 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Thu, 15 Apr 2010 19:51:09 GMT) Full text and rfc822 format available.

Message #41 received at 570783-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 570783-close@bugs.debian.org
Subject: Bug#570783: fixed in debian-edu-config 1.439
Date: Thu, 15 Apr 2010 19:48:21 +0000
Source: debian-edu-config
Source-Version: 1.439

We believe that the bug you reported is fixed in the latest version of
debian-edu-config, which is due to be installed in the Debian FTP archive:

debian-edu-config_1.439.dsc
  to main/d/debian-edu-config/debian-edu-config_1.439.dsc
debian-edu-config_1.439.tar.gz
  to main/d/debian-edu-config/debian-edu-config_1.439.tar.gz
debian-edu-config_1.439_all.deb
  to main/d/debian-edu-config/debian-edu-config_1.439_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 570783@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated debian-edu-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 15 Apr 2010 21:27:32 +0200
Source: debian-edu-config
Binary: debian-edu-config
Architecture: source all
Version: 1.439
Distribution: unstable
Urgency: low
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 debian-edu-config - Configuration files for Skolelinux systems
Closes: 370348 570783
Changes: 
 debian-edu-config (1.439) unstable; urgency=low
 .
   [ Petter Reinholdtsen ]
   * Drop calls to the obsolete -debconf-set-frontend tool, and use
     DEBIAN_FRONTEND=noninteractive in debian-edu-winbind instead.
   * Change mirror preseeding in debian-edu-pxeinstall to use "new"
     style preseeding for manual mirror selection (Closes: 570783).
   * Disable /etc/security/group.conf editing for local device access
     in Squeeze.  We still need it for fuse group membership and LTSP
     device access.
   * Disable editing of /etc/profile for Squeeze, and use the new
     /etc/profile.d/ feature instead to override the default umask.
     Depend on base-files (>= 5.3) for this (Closes: #370348).  Also
     disable /etc/skel/.bash_profile editing which seem to be obsolete
     in Lenny and Squeeze.
Checksums-Sha1: 
 431a17c6e7b8d51d0ab6031498f78c863f399742 1330 debian-edu-config_1.439.dsc
 f596d689065b931576a2018c6dfcfb5450e351e1 328446 debian-edu-config_1.439.tar.gz
 d4144b83a41142ec5c79ab553d680efb9aa2e409 283260 debian-edu-config_1.439_all.deb
Checksums-Sha256: 
 0f4b7d569a31968fb7f5c1593f4a9562db4a969c736d5529e9add12ceeb5baab 1330 debian-edu-config_1.439.dsc
 65df0e96aea79c9a07bb1197628a719fdf523730341fd24489848fc188dcb169 328446 debian-edu-config_1.439.tar.gz
 63b1eaa593f0b39849815a652d1ac8bdd0366a1900c0a717fc3ed1686146bd2f 283260 debian-edu-config_1.439_all.deb
Files: 
 d0eb4d42e95b551010d40ad7042dc674 1330 misc extra debian-edu-config_1.439.dsc
 a03cd9b8969509a7750c6bfd942df67f 328446 misc extra debian-edu-config_1.439.tar.gz
 a35b3befc53b68d4db0da06959c5abeb 283260 misc extra debian-edu-config_1.439_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFLx2ou20zMSyow1ykRAj4yAJwNIROdxxIeuA7QSLUVA2ASWp1SmwCeLtEv
um9PG4iqLWsOP55XGZYZ//U=
=vnz1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 May 2010 07:41:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:37:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.